package kindboxservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/kind_box"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) GetAll(ctx context.Context) (param.KindBoxGetAllResponse, error) {
	const op = "kindboxservice.GetAll"
	allKindBox, err := s.repo.GetAllKindBox(ctx)
	if err != nil {
		return param.KindBoxGetAllResponse{}, richerror.New(op).WithErr(err).WithKind(richerror.KindUnexpected)
	}
	return param.KindBoxGetAllResponse{AllKindBox: allKindBox}, nil
}
